import { GlobalConfigProvider } from './context';
export declare const merge: (defaultGlobalConfig: GlobalConfigProvider, injectConfig: GlobalConfigProvider) => GlobalConfigProvider;
export declare function useConfig<T extends keyof GlobalConfigProvider>(componentName?: T): {
    t: <T_1>(pattern: T_1, ...args: any[]) => any;
    global: import("@vue/composition-api").ComputedRef<GlobalConfigProvider[T]>;
    classPrefix: import("@vue/composition-api").ComputedRef<string>;
};
export declare function usePrefixClass(componentName?: string): import("@vue/composition-api").ComputedRef<string>;
